/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

import "frameworks/base/core/proto/android/view/insetssourcecontrol.proto";
import "frameworks/base/core/proto/android/graphics/rect.proto";

package android.view;

option java_multiple_files = true;

/**
 * Represents a {@link android.view.InsetsSourceConsumer} object.
 */
message InsetsSourceConsumerProto {
    optional string internal_insets_type = 1;
    optional bool has_window_focus = 2;
    optional bool is_requested_visible = 3;
    optional InsetsSourceControlProto source_control = 4;
    optional .android.graphics.RectProto pending_frame = 5;
    optional .android.graphics.RectProto pending_visible_frame = 6;
}